cdac.medinfo.sdk.hl7282.baselibs

## Class SPD

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.CompositeDataType
  - - cdac.medinfo.sdk.hl7282.baselibs.SPD

- All Implemented Interfaces:
    IDataType

      public class SPD
      extends CompositeDataType

  SPD - Specialty description

  This data type specifies the practitioner's specialty and related information.

  Represents an HL7 SPD data type. This data type has the following attributes:

  1. Specialty Name (ST)Required
  2. Governing Board (ST)Optional
  3. Eligible or Certified (ID)Optional
  4. Date of Certification (DT)Optional

  This class provides accessors & mutators for the elements mentioned above. This class override the equal method, to check whether some other object is "equal to" this one.

  User can also create Data Type through `DataElementFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SPD()` Default Constructor for SPD
    `SPD(int iComponentType, IDataTypeMap objIDataTypeMap)` Constructor for SPD class which takes two arguments and sets the value in the respective member variable.
    `SPD(int iComponentType, int iMinLength, int iMaxLength, java.lang.String strCLength, IDataTypeMap objIDataTypeMap)` Constructor for SPD class which takes five arguments and sets the value in the respective member variable.
    `SPD(int iComponentType, int iMinLength, int iMaxLength, java.lang.String strCLength, int ITableNo, IDataTypeMap objIDataTypeMap)` Constructor for SPD class which takes six arguments and sets the value in the respective member variable.
    `SPD(int iMinLength, int iMaxLength, java.lang.String strCLength, int iComponentType)` Constructor for CQ class which takes four arguments and sets the value in the respective member variable.
    `SPD(int iMinLength, int iMaxLength, java.lang.String strCLength, int iTableNo, int iComponentType)` Constructor for SPD class which takes five arguments and sets the value in the respective member variable.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object objObject)` This method checks the equality of Object.
    `DT` | `getDateOfCertification()` Returns Date of Certification
    `ID` | `getEligibleOrCertified()` Returns Eligible or Certified
    `ST` | `getGoverningBoard()` Returns Governing Board
    `ST` | `getSpecialtyName()` Returns Specialty Name
    `void` | `setDateOfCertification(DT objDT)` Sets the DateOfCertification.
    `void` | `setDateOfCertification(java.lang.String strDateOfCertification)` Sets the DateOfCertification.
    `void` | `setEligibleOrCertified(ID objID)` Sets the EligibleOrCertified.
    `void` | `setEligibleOrCertified(java.lang.String strEligibleOrCertified)` Sets the EligibleOrCertified.
    `void` | `setGoverningBoard(ST objST)` Sets the GoverningBoard.
    `void` | `setGoverningBoard(java.lang.String strGoverningBoard)` Sets the GoverningBoard.
    `void` | `setSpecialtyName(ST objST)` Sets the SpecialtyName.
    `void` | `setSpecialtyName(java.lang.String strSpecialtyName)` Sets the SpecialtyName.
    `boolean` | `validate()` The Method validates the Input value,and if validated properly then returns true.

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.CompositeDataType

      `copy, dumpDataType, getAttributes, getDataTypeName, getLength, getValue, isPrimitive, read, setValue, write, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SPD

          public SPD()

      Default Constructor for SPD

    - #### SPD

          public SPD(int iMinLength,
             int iMaxLength,
             java.lang.String strCLength,
             int iComponentType)
              throws InvalidComponentTypeException

      Constructor for CQ class which takes four arguments and sets the value in the respective member variable.
      Parameters:
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### SPD

          public SPD(int iMinLength,
             int iMaxLength,
             java.lang.String strCLength,
             int iTableNo,
             int iComponentType)
              throws InvalidComponentTypeException

      Constructor for SPD class which takes five arguments and sets the value in the respective member variable.
      Parameters:
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
        `iTableNo` - The Table number to which the value for the component is specified.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### SPD

          public SPD(int iComponentType,
             IDataTypeMap objIDataTypeMap)

      Constructor for SPD class which takes two arguments and sets the value in the respective member variable.
      Parameters:
        `objIDataTypeMap` - object of Data Type Map.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### SPD

          public SPD(int iComponentType,
             int iMinLength,
             int iMaxLength,
             java.lang.String strCLength,
             IDataTypeMap objIDataTypeMap)

      Constructor for SPD class which takes five arguments and sets the value in the respective member variable.
      Parameters:
        `objIDataTypeMap` - object of Data Type Map.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### SPD

          public SPD(int iComponentType,
             int iMinLength,
             int iMaxLength,
             java.lang.String strCLength,
             int ITableNo,
             IDataTypeMap objIDataTypeMap)

      Constructor for SPD class which takes six arguments and sets the value in the respective member variable.
      Parameters:
        `objIDataTypeMap` - object of Data Type Map.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
        `iTableNo` - The Table number to which the value for the component is specified.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

  - ### Method Detail

    - #### setSpecialtyName

          public void setSpecialtyName(java.lang.String strSpecialtyName)

      Sets the SpecialtyName.
      Parameters:
        `strSpecialtyName` - Identifies the provider's specialty.

    - #### setSpecialtyName

          public void setSpecialtyName(ST objST)

      Sets the SpecialtyName.
      Parameters:
        `objST` - Identifies the provider's specialty.

    - #### setGoverningBoard

          public void setGoverningBoard(java.lang.String strGoverningBoard)

      Sets the GoverningBoard.
      Parameters:
        `strGoverningBoard` - Identifies the governing body providing for the specialty.

    - #### setGoverningBoard

          public void setGoverningBoard(ST objST)

      Sets the GoverningBoard.
      Parameters:
        `objST` - Identifies the governing body providing for the specialty.

    - #### setEligibleOrCertified

          public void setEligibleOrCertified(java.lang.String strEligibleOrCertified)

      Sets the EligibleOrCertified.
      Parameters:
        `strEligibleOrCertified` - Specifies the certification status.

    - #### setEligibleOrCertified

          public void setEligibleOrCertified(ID objID)

      Sets the EligibleOrCertified.
      Parameters:
        `objID` - Specifies the certification status.

    - #### setDateOfCertification

          public void setDateOfCertification(java.lang.String strDateOfCertification)

      Sets the DateOfCertification.
      Parameters:
        `strDateOfCertification` - Specifies when certification occurred.

    - #### setDateOfCertification

          public void setDateOfCertification(DT objDT)

      Sets the DateOfCertification.
      Parameters:
        `objDT` - Specifies when certification occurred.

    - #### getSpecialtyName

          public ST getSpecialtyName()

      Returns Specialty Name
      Returns:
        ST - data type.

    - #### getGoverningBoard

          public ST getGoverningBoard()

      Returns Governing Board
      Returns:
        ST - data type.

    - #### getEligibleOrCertified

          public ID getEligibleOrCertified()

      Returns Eligible or Certified
      Returns:
        ID - data type.

    - #### getDateOfCertification

          public DT getDateOfCertification()

      Returns Date of Certification
      Returns:
        DT - data type.

    - #### validate

          public boolean validate()
                           throws InvalidDataTypeException

      The Method validates the Input value,and if validated properly then returns true. Here the validetion is based on the compulsory fields for the Datatype.
      Specified by:
        `validate` in interface `IDataType`
      Overrides:
        `validate` in class `CompositeDataType`
      Returns:
        boolean - true or false.
      Throws:
        `InvalidDataTypeException` - - if Invalid values is entered or Mandatory field is missing.

    - #### equals

          public boolean equals(java.lang.Object objObject)

      This method checks the equality of Object.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `objObject` - object of Object class.
      Returns:
        boolean - shows success or failure of the comparison.